Package org.apache.storm.trident.operation

## Class BaseOperation

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation

- All Implemented Interfaces:
    `Serializable`, `Operation`
  Direct Known Subclasses:
    `BaseAggregator`, `BaseFilter`, `BaseFunction`, `BaseQueryFunction`, `BaseStateUpdater`, `ConsumerExecutor`, `FlatMapFunctionExecutor`, `MapFunctionExecutor`

      public class BaseOperation
      extends Object
      implements Operation

  Convenience implementation of the `Operation` interface.

  Provides no-op implementations of the `prepare()` and `cleanup()` methods.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseOperation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` | No-op implemnation.
    `void` | `prepare​(Map<String,​Object> conf, TridentOperationContext context)` | No-op implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseOperation

          public BaseOperation()

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TridentOperationContext context)

      No-op implementation.
      Specified by:
        `prepare` in interface `Operation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### cleanup

          public void cleanup()

      No-op implemnation.
      Specified by:
        `cleanup` in interface `Operation`